Game Develop Core: EventsEditorSelection Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | List of all members
EventsEditorSelection Class Reference

## Public Member Functions

| EventsEditorSelection (GDpriv::EventsEditorRefreshCallbacks &eventsEditorCallback_)
void | ClearSelection (bool refresh=true)
void | AddEvent (const EventItem &event)
void | AddInstruction (const InstructionItem &event)
bool | EventSelected (const EventItem &event)
bool | InstructionSelected (const InstructionItem &event)
void | SetHighlighted (const EventItem &event)
void | SetHighlighted (const InstructionItem &item)
void | SetHighlighted (const InstructionListItem &item)
void | SetHighlighted (const ParameterItem &parameter)
void | InstructionHighlightedOnBottomPart (bool isOnbottomHandSide)
void | EventHighlightedOnBottomPart (bool isOnbottomHandSide)
bool | EventHighlighted (const EventItem &event)
bool | IsEventHighlightedOnBottomPart ()
bool | InstructionHighlighted (const InstructionItem &instr)
bool | IsInstructionHighlightedOnBottomPart ()
bool | InstructionListHighlighted (const InstructionListItem &list)
bool | ParameterHighLighted (const ParameterItem &parameter)
EventItem & | GetHighlightedEvent ()
InstructionListItem & | GetHighlightedInstructionList ()
bool | HasSelectedEvents ()
bool | HasSelectedInstructions ()
bool | HasSelectedActions ()
bool | HasSelectedConditions ()
std::vector< EventItem > | GetAllSelectedEvents ()
std::vector< EventItem > | GetAllSelectedEventsWithoutSubEvents ()
std::vector< InstructionItem > | GetAllSelectedInstructions ()
void | DeleteAllInstructionSelected ()
void | BeginDragEvent ()
bool | IsDraggingEvent ()
bool | EndDragEvent (bool deleteDraggedEvent=true, bool dropAfterHighlightedElement=false)
void | BeginDragInstruction ()
bool | IsDraggingInstruction ()
bool | EndDragInstruction (bool deleteDraggedInstruction=true, bool dropAfterHighlightedElement=false)

## Member Function Documentation

void EventsEditorSelection::AddEvent | ( | const EventItem & | event) |  |

Add an event to selection

void EventsEditorSelection::AddInstruction | ( | const InstructionItem & | event) |  |

Add an instruction to selection

void EventsEditorSelection::ClearSelection | ( | bool | refresh = `true`) |  |

Clear selection

void EventsEditorSelection::DeleteAllInstructionSelected | ( | ) |  |

As it is more difficult than for event, this function is dedicaced to deleting all instructions selected

bool EventsEditorSelection::EventHighlighted | ( | const EventItem & | event) |  |

inline

Return true if an event is highlighted

void EventsEditorSelection::EventHighlightedOnBottomPart | ( | bool | isOnbottomHandSide) |  |

Set if the mouse is on the bottom hand side of the event, or on the top hand side.

bool EventsEditorSelection::EventSelected | ( | const EventItem & | event) |  |

Return true if an event is selected

True if an event is selected

std::vector< EventItem > EventsEditorSelection::GetAllSelectedEvents | ( | ) |  |

Return a vector with all selected events

std::vector< EventItem > EventsEditorSelection::GetAllSelectedEventsWithoutSubEvents | ( | ) |  |

Return a vector with all selected events but without sub events

std::vector< InstructionItem > EventsEditorSelection::GetAllSelectedInstructions | ( | ) |  |

Return a vector with all selected instructions

EventItem& EventsEditorSelection::GetHighlightedEvent | ( | ) |  |

inline

Return highlighted event item

InstructionListItem& EventsEditorSelection::GetHighlightedInstructionList | ( | ) |  |

inline

Return highlighted instruction list item

bool EventsEditorSelection::HasSelectedActions | ( | ) |  |

Return true if some actions are selected

bool EventsEditorSelection::HasSelectedConditions | ( | ) |  |

Return true if some conditions are selected

bool EventsEditorSelection::HasSelectedEvents | ( | ) |  |

inline

Return true if some events are selected

bool EventsEditorSelection::HasSelectedInstructions | ( | ) |  |

inline

Return true if some instructions are selected

bool EventsEditorSelection::InstructionHighlighted | ( | const InstructionItem & | instr) |  |

inline

Return true if an instruction item is highlighted

void EventsEditorSelection::InstructionHighlightedOnBottomPart | ( | bool | isOnbottomHandSide) |  |

Set if the mouse is on the bottom hand side of the instruction, or on the top hand side.

bool EventsEditorSelection::InstructionListHighlighted | ( | const InstructionListItem & | list) |  |

inline

Return true if an instruction list item is highlighted

bool EventsEditorSelection::InstructionSelected | ( | const InstructionItem & | event) |  |

Return true if an instruction is selected

bool EventsEditorSelection::IsEventHighlightedOnBottomPart | ( | ) |  |

inline

Return true if the mouse is on the bottom hand side of the event highlighted. ( Used to known if we have to drop the dragged event(s) afer or before the highlighted one )

bool EventsEditorSelection::IsInstructionHighlightedOnBottomPart | ( | ) |  |

inline

Return true if the mouse is on the bottom hand side of the instruction highlighted

bool EventsEditorSelection::ParameterHighLighted | ( | const ParameterItem & | parameter) |  |

inline

Return true if a parameter is highlighted

void EventsEditorSelection::SetHighlighted | ( | const EventItem & | event) |  |

Highlight an event

void EventsEditorSelection::SetHighlighted | ( | const InstructionItem & | item) |  |

Highlight an instruction

void EventsEditorSelection::SetHighlighted | ( | const InstructionListItem & | item) |  |

Highlight an instruction list

void EventsEditorSelection::SetHighlighted | ( | const ParameterItem & | parameter) |  |

Highlight a parameter

The documentation for this class was generated from the following files:

- EventsEditorSelection.h
- EventsEditorSelection.cpp